DROP TABLE IF EXISTS _WRITE_TO_PROJECT_.mart_taskforce.level2_aggregated;

CREATE TABLE 
    _WRITE_TO_PROJECT_.mart_taskforce.level2_aggregated(
        udp_person_id INT64
    ,   lms_person_id STRING
    ,   udp_course_offering_id INT64
    ,   lms_course_offering_id STRING
    ,   week_in_term INT64
    ,   week_start_date DATE 
    ,   week_end_date DATE
    ,   num_tiny_submissions_z FLOAT64
    ,   num_small_submissions_z FLOAT64
    ,   num_medium_submissions_z FLOAT64
    ,   num_large_submissions_z FLOAT64
    ,   num_major_submissions_z FLOAT64
    ,   num_unweighted_submissions_z FLOAT64
    ,   num_weighted_submissions_z FLOAT64
    ,   num_submissions_without_due_date_z FLOAT64
    ,   num_submissions_with_due_date_z FLOAT64
    ,   num_submissions_z FLOAT64
    ,   num_tiny_assignments_z FLOAT64
    ,   num_small_assignments_z FLOAT64
    ,   num_medium_assignments_z FLOAT64
    ,   num_large_assignments_z FLOAT64
    ,   num_major_assignments_z FLOAT64
    ,   num_unweighted_assignments_z FLOAT64
    ,   num_weighted_assignments_z FLOAT64
    ,   num_assignments_without_due_date_z FLOAT64
    ,   num_assignments_with_due_date_z FLOAT64
    ,   num_assignments_z FLOAT64
    ,   num_tiny_missing_submissions_z FLOAT64
    ,   num_small_missing_submissions_z FLOAT64
    ,   num_medium_missing_submissions_z FLOAT64
    ,   num_large_missing_submissions_z FLOAT64
    ,   num_major_missing_submissions_z FLOAT64
    ,   num_unweighted_missing_submissions_z FLOAT64
    ,   num_weighted_missing_submissions_z FLOAT64
    ,   num_missing_submissions_z FLOAT64
    ,   num_tiny_late_submissions_z FLOAT64
    ,   num_small_late_submissions_z FLOAT64
    ,   num_medium_late_submissions_z FLOAT64
    ,   num_large_late_submissions_z FLOAT64
    ,   num_major_late_submissions_z FLOAT64
    ,   num_unweighted_late_submissions_z FLOAT64
    ,   num_weighted_late_submissions_z FLOAT64
    ,   num_late_submissions_z FLOAT64
    ,   avg_time_buffer_hrs_tiny_z FLOAT64
    ,   avg_time_buffer_hrs_small_z FLOAT64
    ,   avg_time_buffer_hrs_medium_z FLOAT64
    ,   avg_time_buffer_hrs_large_z FLOAT64
    ,   avg_time_buffer_hrs_major_z FLOAT64
    ,   avg_time_buffer_hrs_unweighted_z FLOAT64
    ,   avg_time_buffer_hrs_weighted_z FLOAT64
    ,   avg_time_buffer_hrs_z FLOAT64
    ,   avg_published_score_pct_tiny_z FLOAT64
    ,   avg_published_score_pct_small_z FLOAT64
    ,   avg_published_score_pct_medium_z FLOAT64
    ,   avg_published_score_pct_large_z FLOAT64
    ,   avg_published_score_pct_major_z FLOAT64
    ,   avg_score_pct_unweighted_z FLOAT64 
    ,   avg_published_score_pct_weighted_z FLOAT64 
    ,   avg_published_score_pct_without_due_date_z FLOAT64 
    ,   avg_published_score_pct_with_due_date_z FLOAT64
    ,   avg_published_score_z FLOAT64
    ,   avg_published_score_pct_tiny_cumulative_z FLOAT64
    ,   avg_published_score_pct_small_cumulative_z FLOAT64
    ,   avg_published_score_pct_medium_cumulative_z FLOAT64
    ,   avg_published_score_pct_large_cumulative_z FLOAT64
    ,   avg_published_score_pct_major_cumulative_z FLOAT64
    ,   avg_score_pct_unweighted_cumulative_z FLOAT64 
    ,   avg_published_score_pct_weighted_cumulative_z FLOAT64 
    ,   avg_published_score_pct_without_due_date_cumulative_z FLOAT64 
    ,   avg_published_score_pct_with_due_date_cumulative_z FLOAT64
    ,   avg_published_score_cumulative_z FLOAT64
    ,   discussion_entry_count_z FLOAT64    
    ,   discussion_post_count_z FLOAT64    
    ,   discussion_reply_count_z FLOAT64    
    ,   discussion_count_z FLOAT64    
    ,   assignment_discussion_count_z FLOAT64    
    ,   threaded_discussion_count_z FLOAT64    
    ,   side_comment_discussion_count_z FLOAT64    
    ,   total_discussion_count_z FLOAT64    
    ,   total_assignment_discussion_count_z FLOAT64    
    ,   total_threaded_discussion_count_z FLOAT64    
    ,   total_side_comment_discussion_count_z FLOAT64    
    ,   avg_discussion_entry_length_z FLOAT64
    ,   avg_discussion_post_length_z FLOAT64
    ,   avg_discussion_reply_length_z FLOAT64
    ,   view_days_z FLOAT64
    ,   num_sessions_10min_z FLOAT64 
    ,   total_time_seconds_10min_z FLOAT64
    ,   total_actions_10min_z FLOAT64 
    ,   avg_time_seconds_10min_z FLOAT64 
    ,   avg_actions_10min_z FLOAT64 
    ,   num_sessions_20min_z FLOAT64 
    ,   total_time_seconds_20min_z FLOAT64
    ,   total_actions_20min_z FLOAT64 
    ,   avg_time_seconds_20min_z FLOAT64 
    ,   avg_actions_20min_z FLOAT64 
    ,   num_sessions_30min_z FLOAT64 
    ,   total_time_seconds_30min_z FLOAT64
    ,   total_actions_30min_z FLOAT64 
    ,   avg_time_seconds_30min_z FLOAT64 
    ,   avg_actions_30min_z FLOAT64 
    ,   num_tool_launches_z FLOAT64 
    ,   num_tools_launched_z FLOAT64 
    ,   file_views_z FLOAT64 
    ,   num_files_viewed_z FLOAT64 
    ,   course_tools_launched ARRAY<STRING>
    ,   course_tools_not_launched ARRAY<STRING>
    ,   course_files_viewed ARRAY<INT64>
    ,   course_files_not_viewed ARRAY<INT64> 
    )
